<!DOCTYPE kmyfirewall-protocollibrary>
<protocollibrary maxVersion="~" minVersion="1.0.0" version="1.1.0">
	<protocolCategory uuid="{6f1ba5f3-1be2-4f56-9398-74dc80bda0bb}" name="Web Browsing" description="Protocols involved in common WWW usage">
		<protocol uuid="{09b28513-5f46-46ee-a442-6b2e540c6a5f}" name="HTTP" description="Protocol used to browse the WWW." category="WWW" >
			<port num="80" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{6c47dba8-2dd5-45ae-9ce4-cf14d7fc42e6}" name="HTTPS" description="Protocol used to browse the WWW using SSL/TSL encryption." category="WWW" >
			<port num="443" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{9239d7d6-fcd0-48b9-9202-fc595f89b9b9}" name="DNS" description="(Protocol used resolve hostnames e.g. www.host.org -> 123.234.121.12)." >
			<port num="53" protocol="UDP" />
		</protocol>
	</protocolCategory>
	
	<protocolCategory uuid="{33db9de0-15ac-4a8c-9f4b-7802ff64ef3e}" name="Remote Shell" description="Protocols used to open remote shells.">
		<protocol uuid="{a7e2341b-167b-4f12-b671-eaa0b0f469dc}" name="SSH" description="Protocol used to enable a secure remote shell connection." category="Remote shells">
			<port num="22" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{d76fa5f6-37a5-4530-a6f6-691f2095c1d9}" name="Telnet" description="Old but popular remote shell protocol. (insecure use SSH instead)" >
			<port num="23" protocol="TCP" />
		</protocol>
	</protocolCategory>
	
	<protocolCategory uuid="{51ab462a-24ec-4649-962a-b5533a84ac18}" name="E-Mail, Newsgroups" description="Protocols used for sending and receiving of e-mal messages">
		<protocol uuid="{dc1eb5ca-86f2-4a7e-b56b-52f032819ac6}" name="SMTP" description="Protocol used transprt E-Mail trougth the web." >
			<port num="25" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{ae28cfaf-5c96-41fc-8519-b6bc4e3342f5}" name="SMTP_SSL" description="Secure version of SMTP using SSL." >
			<port num="465" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{55cece62-355e-4029-a9bf-b0264eb80e0b}" name="POP3" description="Protocol used recieve e-mail from a Mail Server." >
			<port num="110" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{c677b408-2bfa-4c36-a5a1-d0bfde62cae0}" name="POP3_SSL" description="Secure version of POP3 using SSL." >
			<port num="995" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{6b1fe889-6108-4b25-944e-4869e9908ffd}" name="IMAP" description="Protocol used browse/view your mails on the mail server." >
			<port num="143" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{4b08ff53-4444-4278-9255-9af5cf37beae}" name="IMAP_SSL" description="Secure version of IMAP using SSL." >
			<port num="585" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{9e39a11c-0b18-4280-b232-ff836b312b4d}" name="NNTP" description="Protocol used to access newsgroups." >
			<port num="119" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{3fd51a3f-a3a3-44f6-832f-dd1261666acb}" name="NNTP_SSL" description="Secure version of NNTP using SSL." >
			<port num="563" protocol="TCP" />
			<port num="563" protocol="UDP" />
		</protocol>
	</protocolCategory>
	
	<protocolCategory uuid="{e49fc900-b648-45c2-9423-169ce802d25e}" name="File Transfer/Sharing" description="Protocols used transfer files over the internet.">
		<protocol uuid="{de87ac4f-88be-4616-9778-acf573fdc39c}" name="FTP" description="Most common protocol used to download files from internet servers." >
			<port num="21" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{afb09a80-631c-4174-8418-4261d97450a0}" name="FTP_SSL" description="Secure version of FTP using SSL." >
			<port num="990" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{9256485b-a4f4-4cd6-84ee-d1fb69aeee4c}" name="SFTP" description="Protocol used transfer files.">
			<port num="115" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{4e0621ee-af4d-41e4-9fa0-65bd7d714701}" name="TFTP" description="Trivial FTP. Very simple file transfer protocol." >
			<port num="69" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{e64d66d3-d055-4b66-84a4-1df6f1458ae0}" name="NFS" description="Protocol used to mount remote file sytems." >
			<port num="2049" protocol="TCP" />
			<port num="2049" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{d93be2c5-4d4a-4ce6-bc7f-8289b2011b0c}" name="SMB" description="Protocol used by Microsoft's Network Neighbourhood.">
			<port num="137" protocol="UDP" />
			<port num="138" protocol="UDP" />
			<port num="139" protocol="TCP" />
			<port num="445" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{f6f5c883-7de8-4af7-841e-a7a4530d5e8c}" name="RSYNC" description="Protocol used to syncronice files from a server." >
			<port num="873" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{73a3b979-6115-4eee-9956-45ccef375151}" name="Kazaa" description="Kazaa P2P file sharing protocol" >
			<port num="1214" protocol="TCP" />
			<port num="1214" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{67d450a9-6878-47c4-9fd9-accd247bfcdc}" name="Azureus" description="Bittorrent Protocol used by Azureus needs this port.">
			<port num="26434" protocol="TCP" />
		</protocol>
	</protocolCategory>
	
	<protocolCategory uuid="{55c628dd-d083-4613-9a1b-fc324cc1becc}" name="Network Services" description="Protocols used for various common network services.">
		<protocol uuid="{0e0187e9-7a5b-4f8e-9af9-0c2764cc4feb}" name="ECHO" description="ECHO Protocol.">
			<port num="7" protocol="TCP" />
			<port num="7" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{a985f860-037e-45d5-b91d-8f93dd6d4491}" name="DAYTIME" description="DAYTIME Protocol.">
			<port num="13" protocol="TCP" />
			<port num="13" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{dc92effd-694f-44ae-8c54-cc6dbbaabe04}" name="TIME" description="TIME Protocol.">
			<port num="37" protocol="TCP" />
			<port num="37" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{c790d6e9-6683-4e5a-8d4b-0175bd2241fe}" name="WHOIS" description="Protocol used to access the WHOIS servers.">
			<port num="43" protocol="TCP" />
			<port num="43" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{4e65b0c9-d532-4bb0-99dd-351a313f18bc}" name="DHCP/BOOTP" description="Protocol used to dynamicaly configure host in a network.">
			<port num="67" protocol="UDP" />
			<port num="68" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{bc11cb84-5946-4f7d-9f8d-789a0da17efa}" name="DHCP Failover" description="Protocol used to dynamicaly configure host in a network.">
			<port num="647" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{67b56458-aa38-44e7-b32e-69057a661a59}" name="NTP" description="Protocol used to get the time from a time server.">
			<port num="123" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{2d5b54d6-1296-4cb7-b359-fce7ee423379}" name="SNMP" description="Simple Network Management Protocol.">
			<port num="161" protocol="UDP" />
			<port num="161" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{26fd1609-e4cd-4e89-8b3f-78a78f6da3cd}" name="SNMPTRAP" description="SNMPTRAP.">
			<port num="162" protocol="UDP" />
			<port num="162" protocol="TCP" />
		</protocol>
		
	</protocolCategory>
	
	<protocolCategory uuid="{ac3c0e86-310a-48e6-ae86-52157c15ba7f}" name="Chat and Instant Messaing Services" description="Protocols used for char and instant messaging systems e.g. IRC, IM etc.">
		<protocol uuid="{454c16bb-bdb8-4a6c-881f-ddb1931c3c23}" name="IRC" description="Protocol used for chat and message transfer using the old irc networks.">
			<port num="194" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{39d851d2-a08e-4653-80c7-e00211170ee7}" name="Yahoo Messenger" description="Protocol by the Yahoo messenger services.">
			<port num="5050" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{f0a18817-b932-4fba-b4af-0085af1558c9}" name="ICQ/AOL Messenger" description="Protocol by the ICQ and AOL messenger services.">
			<port num="5050" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{abfca5e5-e91f-4c01-b4dd-868c805fe7e3}" name="ICQ_SSL" description="Secure version of ICQ using SSL.">
			<port num="6679" protocol="TCP" />
			<port num="6697" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{980a8f02-28f4-4220-9560-8c2f00422cae}" name="Jabber/XMPP" description="Protocol by the Jabber/XMPP messenger services.">
			<port num="5222" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{1f155b17-3f2e-4735-aadc-97a4f3744538}" name="Jabber/XMPP SSL" description="Secure version of Jabber/XMPP using SSL.">
			<port num="5223" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{e6df6657-5d61-4c54-a5b8-bf96a88c4c24}" name="Jabber/XMPP Server Connections" description="Protocol by the Jabber/XMPP messenger services.">
			<port num="5269" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{8a698332-656d-4a2b-8b45-c7e9857ff2b1}" name="Jabber/XMPP File Transfer" description="Protocol by the Jabber/XMPP messenger services.">
			<port num="8010" protocol="TCP" />
		</protocol>
	</protocolCategory>
	
	<protocolCategory uuid="{5103b012-2d50-4f1b-b13a-1ec30db78c9d}" name="Directory Services" description="Protocols used access online diectory services.">
		<protocol uuid="{41aff138-3a8b-4ae6-b88f-59f77050607e}" name="LDAP" description="Protocol used by most Directory services like OpenLDAP or Microsofts Active Directory.">
			<port num="389" protocol="UDP" />
			<port num="389" protocol="TCP" />
		</protocol>
		<protocol uuid="{332ce223-a033-4085-82de-c484ab9c0ffb}" name="LDAPS" description="Secure (SSL/TSL) version of the LDAP protocol used by most Directory services like OpenLDAP or Microsofts Active Directory.">
			<port num="636" protocol="UDP" />
			<port num="636" protocol="TCP" />
		</protocol>
	</protocolCategory>
	
	<protocolCategory uuid="{279a7732-0d10-4bb8-b3bc-7f4704cf3ad0}" name="VPN" description="Protocols used for secure WAN connections.">
		<protocol uuid="{5c5408c1-e1db-49c4-9ed5-4649b6fb2818}" name="ISAKMP" description="IPsec - Internet Security Association and Key Management Protocol." >
			<port num="500" protocol="TCP" />
			<port num="500" protocol="UDP" />
		</protocol>
		
		<protocol uuid="{43d98ecc-dd17-483b-9149-4a7c05707ec5}" name="OpenVPN" description="Open SSL based VPN protocol." >
			<port num="1194" protocol="UDP" />
		</protocol>
	</protocolCategory>	
	
	<protocolCategory uuid="{9a0d727c-f03f-46da-a753-066ef46bf520}" name="Authentification" description="Protocols used for authentification.">
		<protocol uuid="{3e4d8f1c-2d71-444a-8daf-fc0646048431}" name="Kerberos" description="Secure Authetification Protocol." >
			<port num="88" protocol="TCP" />
			<port num="88" protocol="UDP" />
		</protocol>
	</protocolCategory>	
	
	<protocolCategory uuid="{065a29d7-255b-4433-9fc1-36067bd1f25d}" name="Printing" description="Protocols used for printer connections.">
		<protocol uuid="{2eb017f7-12ae-4672-a342-4519fdef4998}" name="CUPS" description="Common Unix Printing System." >
			<port num="631" protocol="TCP" />
		</protocol>
		
		<protocol uuid="{c6984b12-34fa-49dd-ae00-90bd44a67b41}" name="LPD" description="Older but still in use printing protocol." >
			<port num="515" protocol="TCP" />
		</protocol>
	</protocolCategory>
	
	<protocolCategory uuid="{0f4127da-70ef-4b72-8c06-c9b90806b6d6}" name="Souce Control Systems" description="Protocols used by source control/versioning systems.">
		<protocol uuid="{2bcbcffc-f90c-4bf3-94eb-76034e9a2730}" name="Subversion" description="Source Control System used by many open source projects." >
			<port num="3690" protocol="TCP" />
		</protocol>
	</protocolCategory>
	
	<protocolCategory uuid="{02e7113c-535d-447d-8a25-5c9e89fd3f79}" name="Misc" description="Protocols that are not catgorized yet">
		<protocol uuid="{5ed56bef-a516-4679-8379-0bde2cdb00d9}" name="Avahi" description="Service discovery protocol for local networks" >
			<port num="5353" protocol="UDP" />
		</protocol>	
	</protocolCategory>
	<protocolCategory uuid="{9758012f-e2a0-4594-938f-c154a7078752}" name="Custom Protocols" description="Protocols defined and Maintained by the user" />

</protocollibrary>
